/***************************************************************************
 *   Copyright (C) 2010 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "ivimage.h"
#include <QRgb>

IVImage::IVImage()
{
}

IVImage::~IVImage()
{
    weight.clear();
}

bool IVImage::load(const QString &fileName, const char *format)
{
    weight.clear();
    if (!QImage::load(fileName,format)) return false;
    for (int py = 0;py < height();py ++) {
        for (int px = 0;px < width();px ++) {
            weight.append(qGray(pixel(QPoint(px,py))));
        }
    }
    return true;
}

int IVImage::getWeight(QPoint point)
{
    return weight.at(point.x() * point.y());
}
