/***************************************************************************
 *   Copyright (C) 2010 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QtGui/QApplication>
#include <QHBoxLayout>
#include "ivglview.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QString filename;
    if (argc > 1) filename = QString::fromLocal8Bit(argv[1]);
    else filename = ":/images/f.png";
    QWidget *w = new QWidget();
    w->resize(800,600);
    QHBoxLayout *h = new QHBoxLayout(w);
    h->setSpacing(0);
    h->setMargin(1);
    IVGLView *view1 = new IVGLView(filename,w);
    h->addWidget(view1);
    view1->shift(20);
    IVGLView *view2 = new IVGLView(filename,w);
    h->addWidget(view2);
    view2->shift(-20);
    //w->showFullScreen();
    w->show();
    return a.exec();
}
